unit WSIS_Help_;

{*************************************************************************

File:

  "Embedded help" demo for the WebSiteInside component.

Description:

  This form contains a couple of WebSiteInside components which store
  a set of HTML pages and graphics inside them. The pages are served from within
  the application to the embedded WebBrowser control.

  The pages included on this form describe properties and methods of the
  WebSiteInside component itself.

Requirements:

  a) Borland Delphi4 or Delphi5. The component and the sample might also
  work (with minor changes) on Delphi3, but that as never been tested.
  b) MS WebBrowser ActiveX (comes with IE4+) must be installed in Delphi.

Distribution policy:

  This sample uses TWebSiteInside, which is a shareware component -
  see the license agreement text included in the WSISxxx.ZIP package.
  As long as you conform to that license agreement, you may modify
  the source code of this sample as you wish and use it freely in
  your applications.

Author :  Alexei Reatov
EMail  :  alexei@wbcontrols.com
WebSite:  http://www.wbcontrols.com
Date   :  July 14, 2000

**************************************************************************}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WebSiteInside, ComCtrls, StdCtrls, ToolWin, OleCtrls
{$ifdef VER130}      
  , SHDocVw
{$else}
  , SHDocVw_TLB
{$endif}
;

type
  TForm1 = class(TForm)
    WB: TWebBrowser;
    wsiHelp: TWebSiteInside;
    wsiHelpImg: TWebSiteInside;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  v: OleVariant;
begin
  WB.Navigate('wsis://help/', v, v, v, v);
end;

end.
